import QtQuick 2.0
import QtQuick.Controls 2.2
import "../styles"

ItemDelegate {
    id: control
    text: ""
    font.pixelSize: options_stack.text_pixelSize
    property color textColor: appTheme.style.textColor

    contentItem: Text {
        text: parent.text
        color: control.textColor
        font.pixelSize: parent.font.pixelSize
    }

    width: parent.width

    Image {
        id: forwardImage
        source: appTheme.style.backIcon
        rotation: 180
        height: control.font.pixelSize
        width: height
        anchors {
            verticalCenter: parent.verticalCenter
            right: parent.right
            rightMargin: 10
        }
    }
}
